/*
 *    1. Cyclomatic Complexity
 *    2. Depth of nesting
 *    3. Number of parameters
 *
 *
 */
#include <check.cch>
#include <parmcnt.cch>			// parmcnt logic

FILE* out;
int   numLevels;
int   numParams;


if ( prj_begin )
{
  out = fopen( "complexity.xml", "w" );
  fprintf (out, "<?xml version='1.0' ?>\n\n");
  fprintf (out, "<project>\n");
}

if ( prj_end )
{
    fprintf (out, "</project>\n");
    fclose (out);
}

if ( fcn_begin )
{
    numLevels = 0;
    reset (fcn_decisions);

    fprintf( out, "   <function fcn='%s' mod='%s'  line='%d' >\n", fcn_name(), mod_name(), lin_number - 1);

//warn( 10, "   <function fcn='%s' mod='%s'  line='%d' >\n", fcn_name(), mod_name(), lin_number - 1);
}

if ( fcn_end )
{
    fprintf (out, "      <complexity  CC='%d' MNOL='%d' MNOP='%d'> </complexity>\n", fcn_decisions+1, numLevels, numParams);
    fprintf( out, "   </function>\n\n");


 //  warn (20, "      <complexity  CC='%d' MNOL='%d' MNOP='%d'> </complexity>\n", fcn_decisions+1, numLevels, numParams);
}


if (stm_end)				// I dont' think you want this!
{
//warn( 30, "SE dep=%d nl=%d", stm_depth, numLevels );
  if (stm_depth > numLevels)
    numLevels = stm_depth;
}

if ( dcl_function )
{
    //numParams = dcl_parm_count;
//warn(40, "DF np=%d pc=%d", numParams, parmcnt );
	numParams = parmcnt;			// 1.cc 
}
